unit demomain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, kMLang;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    miEnglish: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Help1: TMenuItem;
    Label1: TLabel;
    Button1: TButton;
    miRussian: TMenuItem;
    miUkrainian: TMenuItem;
    ListBox1: TListBox;
    kMLang1: TkMLang;
    procedure miEnglishClick(Sender: TObject);
    procedure miRussianClick(Sender: TObject);
    procedure miUkrainianClick(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure kMLang1AfterTrans(NewLang: string);
    procedure Help1Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses About;

{$R *.DFM}

procedure TForm1.miEnglishClick(Sender: TObject);
begin
 KMlang1.LangFileName := 'english';
end;

procedure TForm1.miRussianClick(Sender: TObject);
begin
 KMlang1.LangFileName := 'russian';
end;

procedure TForm1.miUkrainianClick(Sender: TObject);
begin
 KMlang1.LangFileName := 'ukrainian';
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
 slTemp : TStrings;
begin
 if ListBox1.ItemIndex >= 0
 then begin
  slTemp := TStringList.Create;
  GetLangList(slTemp);
  KMlang1.LangFileName := slTemp[ListBox1.ItemIndex];
  slTemp.Free;
 end;
end;

procedure TForm1.kMLang1AfterTrans(NewLang: string);
begin
 miEnglish.Checked := CompareText(NewLang,'english') = 0;
 miRussian.Checked := CompareText(NewLang,'russian') = 0;
 miUkrainian.Checked := CompareText(NewLang,'ukrainian') = 0;
end;

procedure TForm1.Help1Click(Sender: TObject);
begin
 AboutBox.ShowModal;
end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
 CanClose := MessageDlg(GetLangStr(21), mtConfirmation, [mbYes,mbNo],0) = mrYes;
end;

end.
