unit kMLngReg;

interface
uses Classes, SysUtils, kMLang;

procedure Register;

implementation
uses TypInfo, DsgnIntf;

type
 TLangFileProperty = class(TPropertyEditor)
 public
   function GetAttributes : TPropertyAttributes;override;
   function GetValue: string; override;
   procedure SetValue(const Value: string); override;
   procedure GetValues(Proc : TGetStrProc);override;
 end;

function TLangFileProperty.GetAttributes : TPropertyAttributes;
begin
 Result := [paValueList,paSortList];
end;

function TLangFileProperty.GetValue : string;
begin
 Result := GetStrValue;
end;

procedure TLangFileProperty.SetValue(const Value : string);
var
 p :integer;
begin
 p := Pos('.',Value);
 if p = 0
 then SetStrValue(Value)
 else SetStrValue(Copy(Value,1,p-1));
end;

procedure TLangFileProperty.GetValues(Proc : TGetStrProc);
var
 i : integer;
 slLangs : TStrings;
begin
 slLangs := TStringList.Create;
 try
  GetLangList(slLangs);
  for i := 0 to slLangs.Count-1 do Proc(slLangs[i]);
 finally
  slLangs.Free;
 end; 
end;                              

procedure Register;
begin
  RegisterComponents('System', [TkMLang]);
  RegisterPropertyEditor(TypeInfo(string),TkMLang,
                         'LangFileName',TLangFileProperty);
end;

end.
 